"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _core = require("@emotion/core");

var _constants = require("@atlaskit/theme/constants");

/** @jsx jsx */
var containerStyles = (0, _core.css)({
  display: 'inline-block',
  boxSizing: 'border-box',
  maxWidth: '100%',
  padding: '2px 0 3px 0',
  borderRadius: (0, _constants.borderRadius)(),
  fontSize: '11px',
  fontWeight: 700,
  lineHeight: 1,
  textTransform: 'uppercase',
  verticalAlign: 'baseline'
});
/**
 * __Container__
 *
 * A container to wrap the Content
 */

var Container = function Container(_ref) {
  var backgroundColor = _ref.backgroundColor,
      textColor = _ref.textColor,
      children = _ref.children,
      testId = _ref.testId;
  return (0, _core.jsx)("span", {
    style: {
      backgroundColor: backgroundColor,
      color: textColor
    },
    css: containerStyles,
    "data-testid": testId
  }, children);
};

var _default = Container;
exports.default = _default;