/** @jsx jsx */
import { css, jsx } from '@emotion/core';
import { gridSize } from '@atlaskit/theme/constants';
const contentStyles = css({
  display: 'inline-block',
  boxSizing: 'border-box',
  width: '100%',
  padding: `0 ${gridSize() / 2}px`,
  overflow: 'hidden',
  textOverflow: 'ellipsis',
  verticalAlign: 'top',
  whiteSpace: 'nowrap'
});
/**
 * __Content__
 *
 * Content to be shown in a lozenge
 */

const Content = ({
  maxWidth,
  children
}) => {
  return jsx("span", {
    style: {
      maxWidth
    },
    css: contentStyles
  }, children);
};

export default Content;