/** @jsx jsx */
import { css, jsx } from '@emotion/core';
import { borderRadius } from '@atlaskit/theme/constants';
var containerStyles = css({
  display: 'inline-block',
  boxSizing: 'border-box',
  maxWidth: '100%',
  padding: '2px 0 3px 0',
  borderRadius: borderRadius(),
  fontSize: '11px',
  fontWeight: 700,
  lineHeight: 1,
  textTransform: 'uppercase',
  verticalAlign: 'baseline'
});
/**
 * __Container__
 *
 * A container to wrap the Content
 */

var Container = function Container(_ref) {
  var backgroundColor = _ref.backgroundColor,
      textColor = _ref.textColor,
      children = _ref.children,
      testId = _ref.testId;
  return jsx("span", {
    style: {
      backgroundColor: backgroundColor,
      color: textColor
    },
    css: containerStyles,
    "data-testid": testId
  }, children);
};

export default Container;